Bug 1012674 - Cannot adjust brightness anymore using Fn keys with F19 x86_64
Cannot adjust brightness anymore using Fn keys with F19 x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 16:49 EDT by Massimiliano
Modified: 2015-05-29 07:14 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-29 07:14:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Massimiliano 2013-09-26 16:49:28 EDT
Description of problem:
After a fresh install of F19 in my notebook I can't adjust brightness anymore by using Fn keys. I can change backlight by echoing /sys/class/backlight/intel_backlight/brightness or using xbacklight. The hardware buttons don't work and kde doesn't show the brightness control. It worked in previous F17. I suspect this is a kernel problem because nor KDE neither Gnome (tested with a recent respin http://alt.fedoraproject.org/pub/alt/live-respins/F19-x86_64-DESK-20130909.iso) can adjust brightness. Some info:

# ls -l /sys/class/backlight
totale 0
lrwxrwxrwx. 1 root root 0 17 set 21.19 acer-wmi -> ../../devices/platform/acer-wmi/backlight/acer-wmi
lrwxrwxrwx. 1 root root 0 17 set 21.19 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight

# lspci -v -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device 036d
        Flags: bus master, fast devsel, latency 0, IRQ 41
        Memory at b0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at a0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 3050 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable  Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.11.1-200.fc19.x86_64 root=UUID=18722dca-190a-4852-a9e0-6a44fad1b98c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet acpi_backlight=vendor

Version-Release number of selected component (if applicable):
# uname -r
3.11.1-200.fc19.x86_64

Additional info:
the following from a working live-remix:

# cat /proc/cmdline 
initrd=/fedora/f17-kde-i686/isolinux/initrd0.img root=live:UUID=2204-F9AA rootfstype=auto ro liveimg live_dir=/fedora/f17-kde-i686/LiveOS quiet rhgb rd.luks=0 rd.md=0 rd.dm=0 acpi_backlight=vendor BOOT_IMAGE=/fedora/f17-kde-i686/isolinux/vmlinuz0 

# uname -r
3.4.3-1.fc17.i686

NOTE: the working system also uses acpi_backlight=vendor, but is 32bit while the nonworking is 64bit.
Comment 1 Massimiliano 2013-10-16 19:09:27 EDT
After many investigations and tests, I got some results by changing some kernel parameters. I use xev to watch if Fn keys are properly propagated.

Legend: 
BL = I can change backlight with Fn keys
OSD = OSD is displayed by KDE (Fn keys are propagated)

Results by combinations:

-------------------------------------------------------------------------------
acpi_backlight=vendor acpi_osi={blank}  ---> BL yes - OSD no

# ls /sys/class/backlight/
acer-wmi  intel_backlight

# xev | sed -n 's/^.*state \([0-9].*\), keycode *\([0-9]\ \) *\(.*\), .*$/keycode \2 = \3, state = \1/p'
...
keycode 235 = (keysym 0x1008ff59, XF86Display), state = 0x0
keycode 235 = (keysym 0x1008ff59, XF86Display), state = 0x0
...

-------------------------------------------------------------------------------
acpi_backlight=legacy acpi_osi={blank}  ---> BL yes - OSD no

# ls /sys/class/backlight/
acpi_video0  intel_backlight

# xev | sed -n 's/^.*state \([0-9].*\), keycode *\([0-9]\+\) *\(.*\), .*$/keycode \2 = \3, state = \1/p'
...
keycode 235 = (keysym 0x1008ff59, XF86Display), state = 0x0
keycode 235 = (keysym 0x1008ff59, XF86Display), state = 0x0
...

-------------------------------------------------------------------------------
acpi_backlight=vendor acpi_osi=Linux  --->  BL yes - OSD no

# ls /sys/class/backlight/
acer-wmi  intel_backlight

# xev | sed -n 's/^.*state \([0-9].*\), keycode *\([0-9]\+\) *\(.*\), .*$/keycode \2 = \3, state = \1/p'
...
keycode 235 = (keysym 0x1008ff59, XF86Display), state = 0x0
keycode 235 = (keysym 0x1008ff59, XF86Display), state = 0x0
...

-------------------------------------------------------------------------------
[acpi_backlight=legacy] acpi_osi=!Windows 2012 ---> BL no - OSD yes

# ls /sys/class/backlight/
acpi_video0  intel_backlight

# xev | sed -n 's/^.*state \([0-9].*\), keycode *\([0-9]\+\) *\(.*\), .*$/keycode \2 = \3, state = \1/p'
...
keycode 232 = (keysym 0x1008ff03, XF86MonBrightnessDown), state = 0x0
keycode 235 = (keysym 0x1008ff59, XF86Display), state = 0x0
keycode 233 = (keysym 0x1008ff02, XF86MonBrightnessUp), state = 0x0
...

-------------------------------------------------------------------------------
acpi_backlight=vendor acpi_osi=!Windows 2012 ---> BL no - OSD no


It seems that I can get BL or OSD, but not both.
Comment 2 Tommi Kyntola 2013-10-22 03:55:20 EDT
Same problems here, Lenovo Thinkpad Carbon X1, f19 kde. Things haven't work well throughout the f19, the severity of the problems has been going back and forth though.

With acpi_backlight=vendor I can get the fn keys to work well, but then I lose OSD and backlight control in the kde powermanagement widget.

Without kernel arguments (mainline 3.11.5), the osd doesn't pop up from fn keys and fn keys control the intel_backlight with ridiculously small increments (max_brightness value is 4437).

Things worked well in f18 before the intel driver changes that came out about the same time as f19. (or maybe well is an overstatement, there were issues last spring, too, but it wasn't this bad)
Comment 3 Tommi Kyntola 2013-10-22 04:36:56 EDT
That said, this seems to do something in the right direction:
echo -n 0 > /module/video/parameters/brightness_switch_enabled
Comment 4 Massimiliano 2013-10-22 17:22:29 EDT
In the command above maybe you forgot the head, it should be:
# echo -n 0 > /sys/module/...

However it doesn't bring benefit to me (both 0 and 1 seems to be equivalent).
Comment 5 Rolle 2013-11-08 06:22:44 EST
The same problem here with Fedora 20 alpha: See Bug Report 1028383
Comment 6 Justin M. Forbes 2014-01-03 17:08:21 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 7 Massimiliano 2014-01-05 16:10:46 EST
Kernel 3.12.6-200.fc19.x86_64 doesn't solve the problem for me: tested with parameter acpi_backlight=vendor.
Comment 8 Mike Ruckman 2014-02-21 11:57:51 EST
Massimiliano, does this bug still exist for you in Fedora 20? There's a stream of bugs similar to this and I'm looking to mark some as possible duplicates.

Thanks!
Comment 9 Rolle 2014-02-25 09:26:38 EST
Yeah, the problem is still here. Even with Fedora 20 (64 Bit) and the newest kernel update 3.13.3-201.
Comment 10 Hans de Goede 2014-04-30 06:05:36 EDT
Massimiliano,

I've been researching backlight issues for the last few days and I think I'm starting to get a handle on them, or at least to some degree.

I expect that using the latest fedora kernel and then adding  "use_native_backlight=1" on the kernel cmdline, and removing any other special kernel parameters should make things work properly.

Also please run:

grep '.*' /sys/class/dmi/id/*_* 2> /dev/null

And copy and paste the output here, then I can add a quirk to the kernel to do this automatically for your laptop.

For the others. Unless you've the exact same model laptop as the Massimiliano, please file a new bug against the kernel with me in the CC. I'm going to be enforcing a strict one laptop model per bug policy for these brightness bugs otherwise things will become very hard to track.

When you file a new bug please start with trying the "use_native_backlight=1" kernel cmdline option mentioned above (with all other backlight options / customization removed), and add a note to the
bug if hat helps. Also please run:

grep '.*' /sys/class/dmi/id/*_* 2> /dev/null

And add the output of that to the bug report.

Thanks,

Hans
Comment 11 Hans de Goede 2014-04-30 06:10:17 EDT
Oops, correction, please try with: "video.use_native_backlight=1" on the kernel cmdline rather then just "use_native_backlight=1".
Comment 12 poma 2014-04-30 14:57:54 EDT
ACPI / video: Add systems that should favour native backlight interface
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/acpi/blacklist.c?id=0e9f81d
Comment 13 Mike Ruckman 2014-04-30 15:07:56 EDT
I have this same issue on Rawhide with the 3.15.0-0.rc2.git3.1.fc21.x86_64 kernel. I'm using a Lenovo W530. Booted with "video.use_native_backlight=1 and still no response.
Comment 14 poma 2014-04-30 15:12:16 EDT
Possible duplicates - Brightness related:

Brightness adjustment FN keys doesn't work
https://bugzilla.redhat.com/show_bug.cgi?id=702352

Brightness/backlight keys (fn+F8, fn+F9) does not work on lenovo T530 out of the box
https://bugzilla.redhat.com/show_bug.cgi?id=947976

Acer Aspire V5-171-9620 display brightness doesn't change using keyboard Fn keys (but onscreen slider moves)
https://bugzilla.redhat.com/show_bug.cgi?id=983342

Dell brightness keys register multiple times
https://bugzilla.redhat.com/show_bug.cgi?id=986653

unable to adjust monitor brightness with nouveua, Toshiba, and 3.11.0 kernel
https://bugzilla.redhat.com/show_bug.cgi?id=999684

Brightness does not change on Intel graphics (using keys or slider) since about 3.9 kernels
https://bugzilla.redhat.com/show_bug.cgi?id=1025690

Brightness keys stopped working between kernel 3.12.10-300 and 3.13.3-201 on Asus EEE PC
https://bugzilla.redhat.com/show_bug.cgi?id=1067181

T530: Unsupported brightness interface
https://bugzilla.redhat.com/show_bug.cgi?id=1089545

Can't change display brightness on HP EliteBook 8470p
https://bugzilla.redhat.com/show_bug.cgi?id=1093120
Comment 15 Mike Ruckman 2014-04-30 15:32:26 EDT
Hans, re-read your comment and created a new bug: https://bugzilla.redhat.com/show_bug.cgi?id=1093171
Comment 16 poma 2014-04-30 15:45:13 EDT
(In reply to Mike Ruckman from comment #13)
> I have this same issue on Rawhide with the 3.15.0-0.rc2.git3.1.fc21.x86_64
> kernel. I'm using a Lenovo W530. Booted with "video.use_native_backlight=1
> and still no response.

# echo $(dmidecode -s bios-version && dmidecode -s bios-release-date)

Version    Released
2.58       17 Apr 2014
http://support.lenovo.com/en_US/downloads/detail.page?DocID=DS029170
Comment 17 poma 2014-04-30 16:01:11 EDT
(In reply to poma from comment #16)
> (In reply to Mike Ruckman from comment #13)
> > I have this same issue on Rawhide with the 3.15.0-0.rc2.git3.1.fc21.x86_64
> > kernel. I'm using a Lenovo W530. Booted with "video.use_native_backlight=1
> > and still no response.
> 
> # echo $(dmidecode -s bios-version && dmidecode -s bios-release-date)
> 
> Version    Released
> 2.58       17 Apr 2014
> http://support.lenovo.com/en_US/downloads/detail.page?DocID=DS029170

BTW this could be related to the ThinkPad W530 problem, 

<2.55>
 UEFI: 2.55 / ECP: 1.11
...
- (Fix) Fixed an issue where the WMI interface has incorrect messages.

http://download.lenovo.com/ibmdl/pub/pc/pccbbs/mobiles/g5uj17uc.txt

There you go.
Comment 18 Mike Ruckman 2014-04-30 16:42:19 EDT
(In reply to poma from comment #16)
> (In reply to Mike Ruckman from comment #13)
> > I have this same issue on Rawhide with the 3.15.0-0.rc2.git3.1.fc21.x86_64
> > kernel. I'm using a Lenovo W530. Booted with "video.use_native_backlight=1
> > and still no response.
> 
> # echo $(dmidecode -s bios-version && dmidecode -s bios-release-date)
> 
> Version    Released
> 2.58       17 Apr 2014
> http://support.lenovo.com/en_US/downloads/detail.page?DocID=DS029170

Thanks Poma - results here: https://bugzilla.redhat.com/show_bug.cgi?id=1093171#c1
Comment 19 poma 2014-04-30 21:37:21 EDT
(In reply to Mike Ruckman from comment #18)
> (In reply to poma from comment #16)
> > (In reply to Mike Ruckman from comment #13)
> > > I have this same issue on Rawhide with the 3.15.0-0.rc2.git3.1.fc21.x86_64
> > > kernel. I'm using a Lenovo W530. Booted with "video.use_native_backlight=1
> > > and still no response.
> > 
> > # echo $(dmidecode -s bios-version && dmidecode -s bios-release-date)
> > 
> > Version    Released
> > 2.58       17 Apr 2014
> > http://support.lenovo.com/en_US/downloads/detail.page?DocID=DS029170
> 
> Thanks Poma - results here:
> https://bugzilla.redhat.com/show_bug.cgi?id=1093171#c1

No problemos.
Besides the BIOS upgrade which is always a good practice, there are a bunch of options to achieve the desired functionality with variations of software and hardware.
Some of them are the following:

~~~~~~~~~~~~~~
acpi_osi=Linux
~~~~~~~~~~~~~~~
acpi_osi="!Windows 2012"
~~~~~~~~~~~~~~~~~~~~~~~~

https://www.kernel.org/doc/Documentation/kernel-parameters.txt
The story of _OSI(Linux)
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/tree/drivers/acpi/osl.c#n104


~~~~~~~~~~~~~~~~~~~~~~~~~~~~
video.use_native_backlight=1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

$ modinfo video
parm:           use_native_backlight:int


~~~~~~~~~~~~~~~~~~~~~
acpi_backlight=vendor
~~~~~~~~~~~~~~~~~~~~~

https://www.kernel.org/doc/Documentation/kernel-parameters.txt

acpi_backlight= [HW,ACPI]
        acpi_backlight=vendor
        acpi_backlight=video
        If set to vendor, prefer vendor specific driver
        (e.g. thinkpad_acpi, sony_acpi, etc.) instead
        of the ACPI video.ko driver.


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
thinkpad-acpi.brightness_enable=1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

$ modinfo thinkpad_acpi
parm:           brightness_enable:Enables backlight control when 1, disables when 0 (uint)

https://www.kernel.org/doc/Documentation/laptops/thinkpad-acpi.txt
https://wiki.ubuntu.com/Kernel/Debugging/Backlight#Disabling_the_ACPI_backlight_driver


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Section "Device"
  Identifier "devname"
  Driver "intel"
  Option "Backlight" "intel_backlight"
EndSection
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

https://wiki.archlinux.org/index.php/backlight#Backlight_fails_to_adjust_on_Intel_chipsets_with_Kernel_3.13
man 4 intel

Option "Backlight" "string"
  Override the probed backlight control interface. 
  Sometimes the automatically selected backlight interface 
  may not correspond to the correct, or simply most useful, 
  interface available on the system. 
  This allows you to override that choice by specifying 
  the entry under /sys/class/backlight to use.


man 1 xrandr
--brightness brightness


man 1 xbacklight

The entire study can be written in relation to brightness i.e. Backlight management. :)
Comment 20 Massimiliano 2014-05-08 17:38:18 EDT
(In reply to Hans de Goede from comment #10)
> I expect that using the latest fedora kernel and then adding 
> "use_native_backlight=1" on the kernel cmdline, and removing any other
> special kernel parameters should make things work properly.
> 
Tested with a fresh KDE live:

# uname -r
3.14.2-200.fc20.x86_64

# cat /proc/cmdline 
root=live:UUID=582E-7D2C rd.live.dir=/fedora/f20-kde-x86_64/LiveOS rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 video.use_native_backlight=1

With or without the option the OSD backlight appears (very slowly) but brightness doesn't change.

> Also please run:
> 
> grep '.*' /sys/class/dmi/id/*_* 2> /dev/null
> 
> And copy and paste the output here, then I can add a quirk to the kernel to
> do this automatically for your laptop.

# grep '.*' /sys/class/dmi/id/*_* 2> /dev/null
/sys/class/dmi/id/bios_date:04/25/2011
/sys/class/dmi/id/bios_vendor:Acer            
/sys/class/dmi/id/bios_version:V1.23
/sys/class/dmi/id/board_asset_tag:Base Board Asset Tag
/sys/class/dmi/id/board_name:Aspire 5741     
/sys/class/dmi/id/board_serial:Base Board Serial Number
/sys/class/dmi/id/board_vendor:Acer            
/sys/class/dmi/id/board_version:V1.23
/sys/class/dmi/id/chassis_asset_tag:        
/sys/class/dmi/id/chassis_serial:Chassis Serial Number
/sys/class/dmi/id/chassis_type:10
/sys/class/dmi/id/chassis_vendor:Acer            
/sys/class/dmi/id/chassis_version:V1.23
/sys/class/dmi/id/product_name:Aspire 5741     
/sys/class/dmi/id/product_serial:LXPSV021860281756E1601
/sys/class/dmi/id/product_uuid:40198687-F9A4-2099-05F2-88AE1D6595C3
/sys/class/dmi/id/product_version:V1.23
/sys/class/dmi/id/sys_vendor:Acer
Comment 21 Massimiliano 2014-05-08 18:04:15 EDT
(In reply to poma from comment #19)
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> Section "Device"
>   Identifier "devname"
>   Driver "intel"
>   Option "Backlight" "intel_backlight"
> EndSection
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> https://wiki.archlinux.org/index.php/
> backlight#Backlight_fails_to_adjust_on_Intel_chipsets_with_Kernel_3.13
> man 4 intel

Works for me:

# uname -r
3.13.11-100.fc19.x86_64

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.13.11-100.fc19.x86_64 root=UUID=18722dca-190a-4852-a9e0-6a44fad1b98c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet LANG=it_IT.UTF-8

# cat /etc/X11/xorg.conf.d/20-intel.conf 
Section "Device"
  Identifier "intel"
  Driver "intel"
  Option "Backlight" "intel_backlight"
EndSection

Thanks
Comment 22 Hans de Goede 2014-05-09 02:42:10 EDT
Hi Massimiliano,

(In reply to Massimiliano from comment #21)
> (In reply to poma from comment #19)
> > ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > Section "Device"
> >   Identifier "devname"
> >   Driver "intel"
> >   Option "Backlight" "intel_backlight"
> > EndSection
> > ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > 
> > https://wiki.archlinux.org/index.php/
> > backlight#Backlight_fails_to_adjust_on_Intel_chipsets_with_Kernel_3.13
> > man 4 intel
> 
> Works for me:

Ok, so this is another model were we need to force the use of the native backlight interface and video.use_native_backlight=1 does not work.

First of all please drop the /etc/X11/xorg.conf.d/20-intel.conf file for now (move it to somewhere else), we really don't want people to be fixing these issues this way, as we want something which will just work out of the box.

Can you download and install this kernel:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6826119

And then boot video.use_native_backlight=2 on the kernel cmdline ? Note that this build has a patch to differentiate between video.use_native_backlight=1 and video.use_native_backlight=2, this won't work on other kernels. Then please:
1) Test if things work, and let us know
2) do "ls /sys/class/backlight" and copy and paste the output here

Also can you please run through:
http://hansdegoede.livejournal.com/13889.html

And let us know the results? I'm specifically interested in 1) if any option makes your backlight work again, and 2) the "ls /sys/class/backlight" output for boots with all the different kernel options.

I realize this is a bit of work (but not a lot), the reason I'm asking for this is to determine the best way to fix this in the kernel, so that for future kernels things will just work on your laptop (and for people with the same model laptop).

Thanks,

Hans
Comment 23 Hans de Goede 2014-05-09 02:46:57 EDT
One last question, are you booting the laptop in legacy bios or in (U)EFI mode ?
Comment 24 Massimiliano 2014-05-10 14:31:12 EDT
(In reply to Hans de Goede from comment #22)
> And let us know the results? I'm specifically interested in 1) if any option
> makes your backlight work again, and 2) the "ls /sys/class/backlight" output
> for boots with all the different kernel options.
>

Works for me (OSD appears and brightness changes):

$ ls /etc/X11/xorg.conf.d/
00-keyboard.conf
$ cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.14.3-200.rhbz1093171.fc20.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet video.use_native_backlight=2
$ ls /sys/class/backlight
intel_backlight

Doesn't work (OSD appears):

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.14.3-200.rhbz1093171.fc20.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet
$ ls /sys/class/backlight
acpi_video0  intel_backlight

Doesn't work (OSD appears and slows down the computer *very* much):

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.14.3-200.rhbz1093171.fc20.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet video.use_native_backlight=1
$ ls /sys/class/backlight
acpi_video0  intel_backlight

Doesn't work (no OSD):

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.14.3-200.rhbz1093171.fc20.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet acpi_backlight=vendor
$ ls /sys/class/backlight
acer-wmi  intel_backlight

Doesn't work (OSD appears):

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.14.3-200.rhbz1093171.fc20.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet "acpi_osi=!Windows\x202012"
$ ls /sys/class/backlight
acpi_video0  intel_backlight

Doesn't work (OSD appears):

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.14.3-200.rhbz1093171.fc20.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet "acpi_osi=!Windows\x202009"
$ ls /sys/class/backlight
acpi_video0  intel_backlight

Thanks
Comment 25 Massimiliano 2014-05-10 14:32:13 EDT
(In reply to Hans de Goede from comment #23)
> One last question, are you booting the laptop in legacy bios or in (U)EFI
> mode ?

Legacy, no EFI.
Comment 26 Hans de Goede 2014-05-12 14:11:59 EDT
Hi,

Thanks for all the testing. This is an interesting problem, it took me a while to wrap my head around the underlying kernel code, and I think I've found a quite nasty (backlight control) bug while at it. Anyways I've a set of patches now which I hope will fix this in a manner that the fixes can also go upstream.

Can you please install and try this kernel build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6843040

(note currently still building). No special kernel cmdline options or config files, please. As always:
1) Test if things work, and let us know
2) do "ls /sys/class/backlight" and copy and paste the output here

Assuming this build fixes things, and upstream likes my fixes, this should be the last info / testing we need from you. Thanks for hanging in there.

Regards,

Hans
Comment 27 Massimiliano 2014-05-12 18:08:06 EDT
(In reply to Hans de Goede from comment #26)
> Can you please install and try this kernel build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6843040
> 
> (note currently still building). No special kernel cmdline options or config
> files, please. As always:
> 1) Test if things work, and let us know
> 2) do "ls /sys/class/backlight" and copy and paste the output here
>
It works:

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.14.3-200.rhbz1012674.fc20.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet LANG=it_IT.UTF-8
$ ls /sys/class/backlight
intel_backlight
 
Thanks
Comment 28 Hans de Goede 2014-05-13 02:30:34 EDT
(In reply to Massimiliano from comment #27)
> (In reply to Hans de Goede from comment #26)
> > Can you please install and try this kernel build:
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=6843040
> > 
> > (note currently still building). No special kernel cmdline options or config
> > files, please. As always:
> > 1) Test if things work, and let us know
> > 2) do "ls /sys/class/backlight" and copy and paste the output here
> >
> It works:
> 
> $ cat /proc/cmdline
> BOOT_IMAGE=/boot/vmlinuz-3.14.3-200.rhbz1012674.fc20.x86_64
> root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0
> rhgb quiet LANG=it_IT.UTF-8
> $ ls /sys/class/backlight
> intel_backlight

Great, once more thanks for all the testing / input. I'm currently waiting on feedback from upstream on my patches, once I've some positive feedback from upstream I'll add them to the official Fedora kernel builds. In the mean time please stay with this build and let me know if you see any adverse effects.

The patches for this are here:
http://www.spinics.net/lists/linux-acpi/msg50440.html
http://www.spinics.net/lists/linux-acpi/msg50443.html
http://www.spinics.net/lists/linux-acpi/msg50442.html
http://www.spinics.net/lists/linux-acpi/msg50441.html
Comment 29 Hans de Goede 2014-05-15 15:13:02 EDT
So the patches needed some changes to now (hopefully) be acceptable upstream. I've
I've just started a scratch kernel build with the new version of the patches:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6853115

Can you please test this and make sure the patches still fix things for you? Note it is still building atm. 

After downloading install with "rpm -ivh kernel....rpm", and reboot into it without any special kernel cmdline options. Then please let know what the output of ls /sys/class/backlight is, and if everything works as it should.

Regards,

Hans
Comment 30 Justin M. Forbes 2014-05-21 15:30:16 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 31 Hans de Goede 2014-05-21 15:52:37 EDT
Justin, this is not fixed in  3.14.4-100.fc19, I've a fix for this, but it is somewhat involved, fixing this
requires the following 4 patches from:

http://git.linuxtv.org/cgit.cgi/hgoede/gspca.git/log/?h=input-work

acpi-video: Don't register acpi_video_resume notifier without backlight devices"
acpi-video: Add an acpi_video_unregister_backlight function
acer-wmi: Switch to acpi_video_unregister_backlight
acer-wmi: Add Aspire 5741 to video_vendor_dmi_table

This set has been submitted upstream, and has been reviewed favorably / accepted for inclusion into 3.16.  It is not very adventurous, so we could add these 4 patches to the Fedora kernel builds, they likely also fix backlight issues on more acer laptop models. Since these patches are not completely trivial I'm leaving it up to you if you want to include them or not.
Comment 32 Jakub 2014-05-23 15:55:33 EDT
Works as expected on Acer Aspire 5750G.

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.14.4-200.rhbz1093171.fc20.x86_64 root=UUID=7e901b7e-f1ce-40e6-883d-716b8daca21e ro rhgb quiet LANG=pl_PL.UTF-8
$ ls /sys/class/backlight
intel_backlight

Brightness changes as well as system brightness setting.

Great work!
Comment 33 Hans de Goede 2014-06-02 15:38:22 EDT
Hi,

I've just started a scratch build of a 3.15 kernel with the fixes for this included, the plan is to add these fixed to the official Fedora 3.15 builds soon, so please test!

Please download the kernel-3.15...rpm file for your architecture from here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6919326

And then install it using:
sudo rpm -ivh kernel-3.15...rpm

Note when installing kernels it is important to rpm -i so that you keep your current kernel as a backup.

Then boot into that kernel without any special kernel commandline parameters, and let me know if that works. Once I get confirmation from you that this fixes things I'll send the patch upstream for inclusion into the official Linux kernel, so that the fix will get included into other distributions too.

Note please ignore the bug 1025690 number in the version of the kernel, this kernel contains a whole batch of backlight fixes, of which the fix for 1025690 is the latest fix added, hence I used that number.

Regards,

Hans
Comment 34 Massimiliano 2014-06-15 17:38:26 EDT
(In reply to Justin M. Forbes from comment #30)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 19 kernel bugs.
> 
> Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.

Doesn't work for me:

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.14.7-200.fc20.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet LANG=it_IT.UTF-8
Comment 35 Massimiliano 2014-06-15 17:39:52 EDT
(In reply to Hans de Goede from comment #33)
> Hi,
> 
> I've just started a scratch build of a 3.15 kernel with the fixes for this
> included, the plan is to add these fixed to the official Fedora 3.15 builds
> soon, so please test!
> 
> Please download the kernel-3.15...rpm file for your architecture from here:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6919326
> 

Works for me:

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.15.0-0.rc8.git0.1.rhbz1025690.fc21.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet LANG=it_IT.UTF-8
Comment 36 Hans de Goede 2014-06-16 02:41:20 EDT
(In reply to Massimiliano from comment #34)
> (In reply to Justin M. Forbes from comment #30)
> > *********** MASS BUG UPDATE **************
> > 
> > We apologize for the inconvenience.  There is a large number of bugs to go
> > through and several of them have gone stale.  Due to this, we are doing a
> > mass bug update across all of the Fedora 19 kernel bugs.
> > 
> > Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel
> > update (or newer) and let us know if you issue has been resolved or if it is
> > still present with the newer kernel.
> 
> Doesn't work for me:
> 
> # cat /proc/cmdline 
> BOOT_IMAGE=/boot/vmlinuz-3.14.7-200.fc20.x86_64
> root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0
> rhgb quiet LANG=it_IT.UTF-8

Hi,

That is expected, the fix for your laptop is somewhat involved, so we've chosen not to backport it to the 3.14 kernels. We've backported it to the 3.15 kernel though, which is expected to become available as an official update for F-19 and newer in a couple of weeks.

In the mean time you can grab an official 3.15 build, which now does include the patches necessary for your laptop, here: http://koji.fedoraproject.org/koji/buildinfo?buildID=537163

Please give this a try and let us know if this fixes things (it contains the some fixes as the vmlinuz-3.15.0-0.rc8.git0.1.rhbz1025690.fc21.x86_64 kernel).

Thanks,

Hans
Comment 37 Massimiliano 2014-06-16 16:22:05 EDT
(In reply to Hans de Goede from comment #36)
> In the mean time you can grab an official 3.15 build, which now does include
> the patches necessary for your laptop, here:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=537163
> 
> Please give this a try and let us know if this fixes things (it contains the
> some fixes as the vmlinuz-3.15.0-0.rc8.git0.1.rhbz1025690.fc21.x86_64
> kernel).
> 

Works for me:

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.15.0-1.fc21.x86_64 root=UUID=dca2ae00-3563-4187-a08e-a8666755b53c ro rd.md=0 rd.dm=0 rd.luks=0 rhgb quiet LANG=it_IT.UTF-8

Thanks
Comment 38 Justin M. Forbes 2014-11-13 11:00:59 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 39 Fedora End Of Life 2015-05-29 05:27:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 40 Hans de Goede 2015-05-29 07:14:41 EDT
Closing per comment 37

Note You need to log in before you can comment on or make changes to this bug.